Bug 28733 - Desks link is in "Patrons and circ" section on admin homepage but in "Basic parameters" on the sidebar
Summary: Desks link is in "Patrons and circ" section on admin homepage but in "Basic p...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 13881
Blocks:
  Show dependency treegraph
 
Reported: 2021-07-21 20:02 UTC by Andrew Fuerste-Henry
Modified: 2021-08-16 20:26 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.03,20.11.09


Attachments
Bug 28733: Correct position of desks link in admin menu (2.24 KB, patch)
2021-07-22 18:41 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28733: Correct position of desks link in admin menu (2.31 KB, patch)
2021-07-22 18:52 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 28733: Correct position of desks link in admin menu (2.36 KB, patch)
2021-07-24 22:48 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 28733: (follow-up) Add manage_libraries permission check (1.16 KB, patch)
2021-07-26 14:43 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2021-07-21 20:02:37 UTC
If UseCirculationDesks is enabled, the link to Desks shows up in the "Patrons and circ" section on admin homepage but in the "Basic Parameters" on the sidebar. We should move it on the sidebar.
Comment 1 Owen Leonard 2021-07-22 18:41:23 UTC
Created attachment 123064 [details] [review]
Bug 28733: Correct position of desks link in admin menu

This patch moves the "Desks" link from the "Basic parameters" section to
the "Patrons and circulation" section, matching the category of the link
on the Administration home page.

To test, apply the patch and go to an administration page which includes
the left-hand navigation sidebar, e.g. Administration -> Libraries.

In the sidebar, the "Desks" link should be in the "Patrons and
circulation" section, under "Item circulation alterts," matching its
position on the Administration home page.
Comment 2 Andrew Fuerste-Henry 2021-07-22 18:52:47 UTC
Created attachment 123065 [details] [review]
Bug 28733: Correct position of desks link in admin menu

This patch moves the "Desks" link from the "Basic parameters" section to
the "Patrons and circulation" section, matching the category of the link
on the Administration home page.

To test, apply the patch and go to an administration page which includes
the left-hand navigation sidebar, e.g. Administration -> Libraries.

In the sidebar, the "Desks" link should be in the "Patrons and
circulation" section, under "Item circulation alterts," matching its
position on the Administration home page.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 3 Katrin Fischer 2021-07-24 22:48:11 UTC
Created attachment 123160 [details] [review]
Bug 28733: Correct position of desks link in admin menu

This patch moves the "Desks" link from the "Basic parameters" section to
the "Patrons and circulation" section, matching the category of the link
on the Administration home page.

To test, apply the patch and go to an administration page which includes
the left-hand navigation sidebar, e.g. Administration -> Libraries.

In the sidebar, the "Desks" link should be in the "Patrons and
circulation" section, under "Item circulation alterts," matching its
position on the Administration home page.

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-07-26 09:09:11 UTC
admin/desks.pl needs the parameters.manage_libraries subpermissions.
Comment 5 Katrin Fischer 2021-07-26 09:30:21 UTC
(In reply to Jonathan Druart from comment #4)
> admin/desks.pl needs the parameters.manage_libraries subpermissions.

Argh. Thx for catching that.
Comment 6 Owen Leonard 2021-07-26 14:43:13 UTC
Created attachment 123193 [details] [review]
Bug 28733: (follow-up) Add manage_libraries permission check
Comment 7 Jonathan Druart 2021-07-30 13:59:24 UTC
Patches will be squashed when pushed.
Comment 8 Jonathan Druart 2021-07-30 14:02:50 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 9 Kyle M Hall 2021-08-06 12:35:10 UTC
Pushed to 21.05.x for 21.05.03
Comment 10 Kyle M Hall 2021-08-06 12:36:54 UTC
Pushed to 21.05.x for 21.05.03
Comment 11 Fridolin Somers 2021-08-11 19:33:39 UTC
Pushed to 20.11.x for 20.11.09
Comment 12 Victor Grousset/tuxayo 2021-08-16 20:26:23 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.